%define version_num	1.4.2
%define	release_num	1.0.1
%define	jabber_lib_dir	/var/lib/jabber

Summary: The Jabber IM (Instant Messaging) server.
Name: jabber
Version: %{version_num}
Release: %{release_num}
Group: System Environment/Daemons
Copyright: GPL
URL: http://www.jabber.org/
Source0: http://jabberd.jabberstudio.org/downloads/%{name}-%{version}.tar.gz
Source1: jabberd
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: perl
BuildArch: i386
PreReq: /etc/init.d

%description
Jabber is an XML-based, open-source system and protocol for real-time
messaging and presence notification. The first application of Jabber is
an instant messaging (IM) system similar to AOL Instant Messenger, ICQ,
MSN Instant Messenger, or Yahoo! Messenger. However, Jabber is also
being applied in the realms of wireless communications, embedded
systems, and Internet infrastructure.

%prep
%setup -q 

%build
export JHOME=/var/jabber

# don't ask... weird auto* workaround =)
export CFLAGS="$CFLAGS"
export CXXFLAGS="$CFLAGS"

# build Jabber
	%configure --enable-ssl --prefix=/var/lib/jabber
	make

%install
rm -rf %{buildroot}

install -d -m 755                 %{buildroot}%{_sbindir}
install    -m 755 jabberd/jabberd %{buildroot}%{_sbindir}/jabberd
install -d -m 755                 %{buildroot}%{jabber_lib_dir}
install -d -m 755                 %{buildroot}/var/log/jabber
install -d -m 755                 %{buildroot}/var/run/jabber
install -d -m 755                 %{buildroot}/var/spool/jabber
install -D -m 750 %{SOURCE1}      %{buildroot}/etc/init.d/jabberd
install -D -m 660 jabber.xml      %{buildroot}/etc/jabber.xml


# configuration files
install -d -m 750                 %{buildroot}/etc/jabber.d
install -d -m 755                 %{buildroot}%{jabber_lib_dir}/aim/binary

# core jabber server infrastructure libraries
for dir in jsm xdb_file pthsock dnsrv dialback; do
	strip $dir/*.so
	install -d -m 755 %{buildroot}%{jabber_lib_dir}/$dir
	install    -m 755 $dir/*.so %{buildroot}%{jabber_lib_dir}/$dir/
done

%pre
useradd -M -r -d /var/lib/jabber -s /bin/bash -c "Jabber Server" jabber 2>/dev/null || :

%post
if [ $1 = 1 ]; then
	/sbin/chkconfig --add jabberd
fi

%preun
if [ $1 = 0 ]; then
	/etc/init.d/jabberd stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del jabberd
fi

%postun
# Only if we are upgrading..
if [ "$1" -ge "1" ]; then
	/etc/init.d/jabberd condrestart >/dev/null 2>&1 || :
else
	userdel jabber 2>/dev/null || :
	groupdel jabber 2>/dev/null || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(644, jabber, jabber, 755)
%doc README UPGRADE
%attr(755, jabber, jabber) %{_sbindir}/jabberd
%dir                       /etc/jabber.d
%attr(750, jabber, jabber) %config /etc/init.d/jabberd
%dir                       %{jabber_lib_dir}
%dir                       %{jabber_lib_dir}/jsm
%attr(755, jabber, jabber) %{jabber_lib_dir}/jsm/*.so
%dir                       %{jabber_lib_dir}/xdb_file
%attr(755, jabber, jabber) %{jabber_lib_dir}/xdb_file/*.so
%dir                       %{jabber_lib_dir}/pthsock
%attr(755, jabber, jabber) %{jabber_lib_dir}/pthsock/*.so
%dir                       %{jabber_lib_dir}/dnsrv
%attr(755, jabber, jabber) %{jabber_lib_dir}/dnsrv/*.so
%dir                       %{jabber_lib_dir}/dialback
%attr(755, jabber, jabber) %{jabber_lib_dir}/dialback/*.so
%attr(750, jabber, jabber) %dir /var/spool/jabber
%attr(755, jabber, jabber) %dir /var/log/jabber
%attr(755, jabber, jabber) %dir /var/run/jabber

%changelog
* Tue Dec 17 2002 Eric B. Lubow <eric@guardiandigital.com>
- Initial EnGarde RPM (1.4.2-1.0.1) -- based on RPMs by Bejamin Reed <ben@opennms.org>

* Wed Feb 20 2002 Benjamin Reed <ben@opennms.org>
- Initial RPM (1.4.2) -- based on RPMs by Matthias Saou <matthias.saou@est.une.marmotte.net>
